Skip to main content
POST
/
api
/
prospects
/
continue_search
JavaScript
const apiKey = "your api key here" // update with your api_key
const listId = 0 // update with the ID of the list you would like to continue searching

const myHeaders = new Headers();
myHeaders.append('Content-Type', 'application/json');
myHeaders.append('Authorization', `Bearer ${apiKey}`);

const raw = JSON.stringify({
  'id': listId
});

const requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch('https://wiza.co/api/prospects/continue_search', requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
import http.client
import json

api_key = "your api key here" # update with your api_key
list_id = 0 # update with the ID of the list you would like to continue searching

conn = http.client.HTTPSConnection('wiza.co')
payload = json.dumps({
'id': list_id
})
authorization = ("Bearer {api_key}").format(api_key=api_key)
headers = {
'Content-Type': 'application/json',
'Authorization': authorization
}
conn.request('POST', '/api/prospects/continue_search', payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode('utf-8'))
require 'uri'
require 'json'
require 'net/http'

api_key = "your api key here" # update with your api_key
list_id = 0 # update with the ID of the list you would like to continue searching

url = URI('https://wiza.co/api/prospects/continue_search')

https = Net::HTTP.new(url.host, url.port);
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request['Content-Type'] = 'application/json'
request['Authorization'] = "Bearer #{api_key}"
request.body = JSON.dump({
'id': list_id
})

response = https.request(request)
puts response.read_body
api_key="your api key here" # update with your api_key
list_id=0 # update with the ID of the list you would like to continue searching

curl --location 'https://wiza.co/api/prospects/continue_search' --header 'Content-Type: application/json' --header "Authorization: Bearer ${api_key}" --data '{"id": "'$list_id'"}'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://wiza.co/api/prospects/continue_search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 123,
'max_profiles' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://wiza.co/api/prospects/continue_search"

payload := strings.NewReader("{\n \"id\": 123,\n \"max_profiles\": 10\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://wiza.co/api/prospects/continue_search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 123,\n \"max_profiles\": 10\n}")
.asString();
{
  "status": {
    "code": 200,
    "message": "🧙 Wiza is working on it!"
  },
  "type": "list",
  "data": {
    "id": 15,
    "name": "VP of Sales in San Francisco",
    "status": "queued",
    "stats": {
      "people": 2,
      "credits": {
        "email_credits": 1,
        "phone_credits": 1,
        "export_credits": 1,
        "api_credits": {
          "email_credits": 2,
          "phone_credits": 5,
          "scrape_credits": 1,
          "total": 8
        }
      }
    },
    "finished_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "enrichment_level": "partial",
    "email_options": {
      "accept_work": true,
      "accept_personal": true,
      "accept_generic": true
    },
    "report_type": "people"
  }
}
{
"status": 404,
"message": "List not found"
}

Authorizations

Authorization
string
header
required

Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}

Body

application/json
id
integer
required

ID of the list you would like to continue searching

Example:

123

max_profiles
integer

The number of results to return, defaults to previous list's max_profiles

Example:

10

callback_url
string

URL to send the list update to. If not provided, the default webhook URL configured in your account settings will be used.

Response

successful

status
object
type
enum<string>
Available options:
list
Example:

"list"

data
object